Package be.fgov.ehealth.dics.protocol.v5

# Class FindByCommentedClassificationType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.FindByCommentedClassificationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class FindByCommentedClassificationType extends Object implements Serializable

Java class for FindByCommentedClassificationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindByCommentedClassificationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="CommentedClassificationCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="AnyNamePart" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindByCommentedClassificationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAnyNamePart()`
  Matches all Commented Classifications whose Title starts with the given string.
  `String`
  `getCommentedClassificationCode()`
  The Commented Classification Code attributed by BCPI
  `void`
  `setAnyNamePart(String value)`
  Sets the value of the anyNamePart property.
  `void`
  `setCommentedClassificationCode(String value)`
  Sets the value of the commentedClassificationCode property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindByCommentedClassificationType

    public FindByCommentedClassificationType()

- ## Method Details

  - ### getAnyNamePart

    public String getAnyNamePart()
    Matches all Commented Classifications whose Title starts with the given string.
    Returns:
      possible object is `String`

  - ### setAnyNamePart

    public void setAnyNamePart(String value)
    Sets the value of the anyNamePart property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getAnyNamePart()`

  - ### getCommentedClassificationCode

    public String getCommentedClassificationCode()
    The Commented Classification Code attributed by BCPI
    Returns:
      possible object is `String`

  - ### setCommentedClassificationCode

    public void setCommentedClassificationCode(String value)
    Sets the value of the commentedClassificationCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCommentedClassificationCode()`